Get a list of swap transactionsAsk AIget https://api-sandbox.straitsx.com/v1/swap/transactions[Available in Production/Sandbox environment] Get a list of swap transactions created using Swap API.Query Paramsfilter[customerProfileId]stringFilter by customer profile id to return all swap transactions with customerProfileId passed in.Regex: /^(?!\s*$).+$/filter[transactionId]stringFilter by the unique id of the swap transactionRegex: /^(?!\s*$).+$/filter[idempotencyId]stringFilter by the idempotency id of the swap transactionRegex: /^(?!\s*$).+$/filter[createdAfter]stringISO8601 format in UTC e.g. 2024-03-27T10:59:53ZRegex: /^(\d{4})(-(0[1-9]|1[0-2])(-(0[1-9]|[12]\d|3[01])(T([01]\d|2[0-3]):([0-5]\d):([0-5]\d)(\.\d+)?(Z|([+-]([01]\d|2[0-3]):([0-5]\d)))?)?)?)?$/ifilter[createdBefore]stringISO8601 format in UTC e.g. 2024-03-27T10:59:53ZRegex: /^(\d{4})(-(0[1-9]|1[0-2])(-(0[1-9]|[12]\d|3[01])(T([01]\d|2[0-3]):([0-5]\d):([0-5]\d)(\.\d+)?(Z|([+-]([01]\d|2[0-3]):([0-5]\d)))?)?)?)?$/ipage[size]int32Defaults to 10Number of transactions per page(Must be an integer greater than 0)Regex: /^0*[1-9][0-9]*$/page[number]int32Defaults to 1Page number(Must be an integer greater than 0)Regex: /^0*[1-9][0-9]*$/sortstringSorted by Creation Date: Ascending (createdAt) / Descending (-createdAt) HeadersX-XFERS-APP-API-KEYstringrequiredYou can retrieve this from your Dashboard Developer Tools.Note: The X-XFERS-APP-API-KEY is a mandatory header for all authentication methods, including standard API key usage and HTTP Request Signing mode.X-PUBLIC-KEY-IDstringThe Key ID, can be retrieved from your StraitsX Dashboard.Note: This header attribute is required when HTTP Request Signing is enabled for your account.X-TIMESTAMPstringCurrent Unix epoch time in seconds. Must be within ±300 seconds of server time.Note: This header attribute is required when HTTP Request Signing is enabled for your account.X-NONCEstringA unique UUID string per request, used for replay protection. Must not be reused within the timestamp window.Regex: /\A[0-9a-f]{8}-[0-9a-f]{4}-[0-9a-f]{4}-[0-9a-f]{4}-[0-9a-f]{12}\z/iNote: This header attribute is required when HTTP Request Signing is enabled for your account.X-SIGNATUREstringBase64-encoded digital signature of the canonical request string.Note: This header attribute is required when HTTP Request Signing is enabled for your account.Responses 200200 400400Updated 9 months ago